Activity feed

An opportunity's activity feed

Same shape as the company feed; only events linked (or estimated to be linked) to this opportunity.

GET/api/v1/opportunities/{id}/activity

Authorization

Authorizationheaderrequired
Bearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: OpportunitiesScope: crm.read

Path parameters

idintegerrequired
Opportunity id.

Query parameters

groupstringoptionaldefault: all
Filter (as in the company feed).
limitintegeroptionaldefault: 25
Rows per page.
beforestringoptional
cursor from the previous response.

Errors

HTTPerrorMeaning
400bad_requestv91: invalid query parameter (e.g. an unknown `group`; `message` lists the valid values).
403moduleThe module is off in the licence or for the user.
404not_foundRecord not found.
Request
curl https://ornek.solk.app/api/v1/opportunities/{id}/activity \
  -H "Authorization: Bearer $SOLK_API_KEY"
Response